CGAL 5.6.3 - 3D Point Set

Loading...
Searching...
No Matches
Functions
Input/Output (Deprecated)
3D Point Set Reference » Input/Output

##

These I/O functions are deprecated and newer versions should be used.

## Functions
template<typename Point , typename Vector >
bool | CGAL::read_las_point_set (std::istream &is, CGAL::Point_set_3< Point, Vector > &point_set)
template<typename Point , typename Vector >
bool | CGAL::write_las_point_set (std::ostream &os, CGAL::Point_set_3< Point, Vector > &point_set)
template<typename Point , typename Vector >
bool | CGAL::read_off_point_set (std::istream &is, CGAL::Point_set_3< Point, Vector > &point_set)
template<typename Point , typename Vector >
bool | CGAL::write_off_point_set (std::ostream &os, const CGAL::Point_set_3< Point, Vector > &point_set)
template<typename Point , typename Vector >
bool | CGAL::read_ply_point_set (std::istream &is, CGAL::Point_set_3< Point, Vector > &point_set, std::string &comments)
| reads a point set with properties from an input stream in ASCII or binary PLY format.
template<typename Point , typename Vector >
bool | CGAL::write_ply_point_set (std::ostream &os, const CGAL::Point_set_3< Point, Vector > &point_set, const std::string &comments=std::string())
template<typename Point , typename Vector >
bool | CGAL::read_xyz_point_set (std::istream &is, CGAL::Point_set_3< Point, Vector > &point_set)
template<typename Point , typename Vector >
bool | CGAL::write_xyz_point_set (std::ostream &os, const CGAL::Point_set_3< Point, Vector > &point_set)

## Function Documentation

## ◆ read_las_point_set()

template<typename Point , typename Vector >

bool CGAL::read_las_point_set | ( | std::istream & | is,
|  | CGAL::Point_set_3< Point, Vector > & | point_set
| ) |  |

`#include <CGAL/Point_set_3/IO/LAS.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::read_LAS()` should be used instead.

Parameters

  is | input stream.
  point_set | point set

## ◆ read_off_point_set()

template<typename Point , typename Vector >

bool CGAL::read_off_point_set | ( | std::istream & | is,
|  | CGAL::Point_set_3< Point, Vector > & | point_set
| ) |  |

`#include <CGAL/Point_set_3/IO/OFF.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::read_OFF()` should be used instead.

Parameters

  is | input stream.
  point_set | point set.

## ◆ read_ply_point_set()

template<typename Point , typename Vector >

bool CGAL::read_ply_point_set | ( | std::istream & | is,
|  | CGAL::Point_set_3< Point, Vector > & | point_set,
|  | std::string & | comments
| ) |  |

`#include <CGAL/Point_set_3/IO/PLY.h>`

reads a point set with properties from an input stream in ASCII or binary PLY format.

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::read_PLY()` should be used instead.

- the operator reads the vertex `point` property;
- if three PLY properties `nx`, `ny` and `nz` with type `float` or `double` are found, the normal map is added;
- if any other PLY property is found, a "[name]" property map is added, where `[name]` is the name of the PLY property.

The `comments` parameter can be omitted. If provided, it will be used to store the potential comments found in the PLY header. Each line starting by "comment " in the header is appended to the `comments` string (without the "comment " word).

Parameters

  is | input stream.
  point_set | point set
  comments | PLY comments.

## ◆ read_xyz_point_set()

template<typename Point , typename Vector >

bool CGAL::read_xyz_point_set | ( | std::istream & | is,
|  | CGAL::Point_set_3< Point, Vector > & | point_set
| ) |  |

`#include <CGAL/Point_set_3/IO/XYZ.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::read_XYZ()` should be used instead.

## ◆ write_las_point_set()

template<typename Point , typename Vector >

bool CGAL::write_las_point_set | ( | std::ostream & | os,
|  | CGAL::Point_set_3< Point, Vector > & | point_set
| ) |  |

`#include <CGAL/Point_set_3/IO/LAS.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::write_LAS()` should be used instead.

Parameters

  os | output stream.
  point_set | point set

## ◆ write_off_point_set()

template<typename Point , typename Vector >

bool CGAL::write_off_point_set | ( | std::ostream & | os,
|  | const CGAL::Point_set_3< Point, Vector > & | point_set
| ) |  |

`#include <CGAL/Point_set_3/IO/OFF.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::write_OFF()` should be used instead.

Parameters

  os | output stream.
  point_set | point set

## ◆ write_ply_point_set()

template<typename Point , typename Vector >

bool CGAL::write_ply_point_set | ( | std::ostream & | os,
|  | const CGAL::Point_set_3< Point, Vector > & | point_set,
|  | const std::string & | comments = `std::string()`
| ) |  |

`#include <CGAL/Point_set_3/IO/PLY.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::write_PLY()` should be used instead.

## ◆ write_xyz_point_set()

template<typename Point , typename Vector >

bool CGAL::write_xyz_point_set | ( | std::ostream & | os,
|  | const CGAL::Point_set_3< Point, Vector > & | point_set
| ) |  |

`#include <CGAL/Point_set_3/IO/XYZ.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::write_XYZ()` should be used instead.